<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../../css/process.xslt"?>
<processes xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="paymentPreprocess" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <process id="computeDestinataire" type="script" input ="/1-data/data.xml" output="computeDestinataire.xml" script="computeDestinataire.js" />	
	
	<process id="paymentInit" type="proxy.out" input="computeDestinataire.xml" output="proxy-calling.xml" script="hangout.js" if="_input.context.payment.mandatory == true" />	
	<process id="paymentReturn" type="proxy.in" input="proxy-calling.xml" output="data-generated.xml" script="hangin.js" if="null != _input.params and null != _input.params.resultFileName" />
	
	<process id="xslt" type="script" input="payment-calling.xml" output="/8-xmltc/generated/infoPayment.xml" script="xsltGeneration.js" if="null != _input.proxyResult and null != _input.proxyResult.status" />
	
	<process id="noPayment" type="script" input="computeDestinataire.xml" output="data-generated.xml" script="noPayment.js" if="_input.context.payment.mandatory == false" />
</processes>
